/* ---------------------------- QBTable ----------------------------------*/
.qb-ui-table {
    position: relative;
    padding: 1px;
    outline: 0;
    opacity: 1;
    cursor: default;
}

/* ---------------------------- TITLE ----------------------------------*/
.ui-dialog-titlebar {
    padding: 3px 3px 3px 10px;
}

.qb-ui-table-titlebar {
    /*height: 18px;*/
    position: relative;
    overflow: hidden;
    padding: 1px 56px 1px 4px;
}

.qb-ui-table-dragging .qb-ui-table-titlebar {
    cursor: move!important;
}

.qb-ui-table-titlebar-text {
    min-height: 18px;
    float: left;
    padding: 0;
    margin: 0;
    text-overflow: ellipsis;
    overflow: hidden;
    width: 100%;
}

.qb-ui-table-titlebar-text-schema-name {
    color: blue;
    text-transform: uppercase;
}

.qb-ui-table-titlebar-text-table-name {
    color: teal;
    text-transform: uppercase;
}

.titlebar-button:hover,
.titlebar-button:focus {
    padding: 0;
}

.titlebar-button {
    display: block;
    position: absolute;
    width: 16px;
    height: 16px;
    padding: 1px;
    background: transparent;
}

.qb-ui-table-titlebar .button-close {
    right: 1px;
}

.qb-ui-table-titlebar .button-properties {
    right: 19px;
}

.qb-ui-table-titlebar .button-link {
    right: 37px;
}

.ui-icon-properties-small {
    background-repeat: no-repeat;
    background-position: 50% 50%;
    background-image: url(../../img/icons/properties-small2.png) !important;
}

.ui-icon-link-small {
    background: url(../../img/icons/link.png) no-repeat 50% 50% !important;
}

.qb-ui-table-titlebar .button-subquery {
    left: 0;
}

.qb-ui-table-titlebar .left16 {
    margin-left: 16px;
}

.ui-icon-subquery-small {
    background: url(../../img/icons/pencil.png) no-repeat 50% 50% !important;
}

.ui-icon-close-small {
    background-position: -81px -129px!important;
}

.ui-resizable-se {
    width: 10px;
    height: 10px;
    background-position: -84px -226px;
}

div.qb-ui-table-field-container {
    /*background-color: white;*/
    overflow-x: hidden;
    overflow-y: auto;
}

.qb-ui-table-field-container table {
	overflow-y: hidden;
}

.qb-ui-table-field {
    /*background: #FFFFFF;*/
    padding: 0;
    border: solid 1px transparent;
    /* font-size: 100%; */
    /*line-height: 15px;*/
}

.qb-ui-table-field span {
    padding-left: 5px;
}
.qb-ui-table-field-highlight {
    border: solid 1px #000000 !important;
    background-color: #DCDCDC !important;
    outline-color: #000000;
    outline-style: solid;
    outline-width: 1px;
}

.qb-ui-table-field .ui-draggable-dragging {
    border: solid 1px #000000;
}

.qb-ui-table-field .td1 { width: 1%; }
.qb-ui-table-field .td2 { width: 1%; }
.qb-ui-table-field .td3 { width: 96%; }
.qb-ui-table-field .td4 { width: 1%; }
.qb-ui-table-field .td5 { width: 1%; }

.qb-ui-table-field-select {
    width: 10px;
    padding: 0 !important;
}

.qb-ui-table-field-select input {
    margin: 0;
    padding: 0;
    vertical-align: middle;
    height: 15px;
}

.qb-ui-table-field-icon {
    /*width: 1px;*/
    background: no-repeat center;
    padding-left: 2px !important;
    padding-right: 2px !important;
    width: 10px;
    height: 10px;
    display: inline-block;
}

.qb-ui-table-field-icon img {
    width: 10px;
    height: 10px;
}

.qb-ui-table-field-icon-pk {
    background-image: url(../../img/icons/primary_key.gif)
}

.qb-ui-table-field-name {

}

.qb-ui-table-field-type {
    color: #4B53FF
}

.qb-ui-table-field-hover {
    background-color: #DCDCDC !important;
}

.qb-ui-table-field-description {
    display: none;
}

.ui-dialog {
    /* font-size: 100%; */
}

.ui-dialog input,
.ui-dialog select,
.ui-dialog textarea,
.ui-dialog button {
    /* font-size: 100%; */
}

.ui-dialog .ui-dialog-content {
    padding: 5px;
}

.ui-dialog .ui-dialog-buttonpane {
    padding: 0 13px 0 0;
}

.qb-ui-table-property-dialog {

}

.qb-ui-table-property-dialog table {
    width: 100%;
}

.qb-ui-table-property-dialog table td {
    padding: 5px;
}

.qb-ui-table-property-dialog .form-label {
    width: 1%;
}

.qb-ui-table-property-dialog .form-input {
    width: 99%;
    padding-left: 10px;
}

.qb-ui-table-property-dialog .form-input input {
    width: 100%;
    padding-left: 3px;
}

.qb-ui-link-property-dialog {
    z-index: 5000;
}

.qb-ui-link-property-dialog table {
    width: 100%;
}

.qb-ui-link-property-dialog table td {
    padding: 5px 5px 0px 5px;
}

.qb-ui-link-property-dialog .from-object-label,
.qb-ui-link-property-dialog .from-object-select {
    text-align: left;
    width: 50%;
}

.qb-ui-link-property-dialog .to-object-label,
.qb-ui-link-property-dialog .to-object-select {
    text-align: right;
    width: 50%;
}

.qb-ui-link-property-dialog .from-object-input input {
    width: 100%;
}

.qb-ui-link-property-dialog .to-object-input input {
    width: 100%;
}

.qb-ui-link-property-dialog .object-expression-input input {
    width: 100%;
}

.ui-dialog {
    position: absolute;
    padding: .2em;
    width: 300px;
    overflow: hidden;
}



.qb-ui-table .ui-dialog-content {
    position: relative;
    border: 0;
    padding: 0;

    /*background: none;*/
    overflow: auto;
    overflow-x: hidden;
    overflow-y: auto;
}

.qb-ui-table .ui-resizable-se {
    right: 0;
    bottom: 0;
}
